<div class="user-settings-container">
  <button mat-button [matMenuTriggerFor]="userMenu" class="light-icon-button">
    <mat-icon>person</mat-icon>
    <span>{{ username }}</span>
  </button>
  <mat-menu #userMenu="matMenu" yPosition="below">
    <!-- TEMP <button mat-menu-item (click)="openSettingsModal()"> -->
    <button mat-menu-item (click)="openSettingsModal()" class="icon-button">
      <mat-icon>settings</mat-icon>
      <span>
        {{ 'toolbar.settings' | translate }}
      </span>
    </button>
    <button
      mat-menu-item
      routerLink="/app/jobs"
      routerLinkActive="active-list-item"
      [style.display]="isLoggedIn ? 'block' : 'none'"
      class="icon-button"
    >
      <mat-icon>schedule</mat-icon>
      <span>{{ 'menu.jobs' | translate }}</span>
    </button>
    <button
      mat-menu-item
      routerLink="/admin/dashboard"
      [style.display]="isAdmin && !isInAdminMode ? 'block' : 'none'"
      class="icon-button"
    >
      <mat-icon>admin_panel_settings</mat-icon>
      <span>
        {{ 'toolbar.goToAdminMode' | translate }}
      </span>
    </button>
    <button
      mat-menu-item
      routerLink="/app/dashboard"
      [style.display]="isInAdminMode ? 'block' : 'none'"
      class="icon-button"
    >
      <mat-icon>account_circle</mat-icon>
      <span>
        {{ 'toolbar.goToUserMode' | translate }}
      </span>
    </button>

    <!-- Admin navigation -->
    <!--Dashboard Button-->

    <button
      *ngIf="isAdmin && isInAdminMode"
      mat-menu-item
      routerLink="/admin/dashboard"
      routerLinkActive="active-list-item"
    >
      <mat-icon>chat_bubble_outline</mat-icon>
      <span>{{ 'menu.dashboard' | translate }}</span>
    </button>

    <!--User Button-->
    <button
      *ngIf="isAdmin && isInAdminMode"
      mat-menu-item
      routerLink="/admin/users"
      routerLinkActive="active-list-item"
    >
      <mat-icon>manage_accounts</mat-icon>
      <span>{{ 'adminmenu.management' | translate }}</span>
    </button>

    <!-- Project Managment  Button -->
    <button
      *ngIf="isAdmin && isInAdminMode"
      mat-menu-item
      routerLink="/admin/projects"
      routerLinkActive="active-list-item"
    >
      <span class="buttonContent">
        <mat-icon>work_outline</mat-icon>
        <span>{{ 'adminmenu.projectManagement' | translate }}</span>
      </span>
    </button>

    <button mat-menu-item class="icon-button" (click)="logout()">
      <mat-icon>exit_to_app</mat-icon>
      <span>{{ 'toolbar.logout' | translate }}</span>
    </button>
  </mat-menu>
</div>
